Subject: Re: switching linux kernels

From: Dan Malek <[email-masked]>
Date: Tue, 26 Sep 2000 11:54:48 -0400

Julia Elbert wrote:

>                 I am switching to HardHat 2.2.13 from ppc 2.2.13.

> .....whatsoever, just the data is corrupted some how.

Depending upon the flavor of the day ppc 2.2.13, it could be a cache
configuration difference.  The old 2.2.13 kernels often had the data
cache in the write-through mode to avoid a variety of bugs in both
hardware and software.

The HHLinux 2.2.13 (and all later kernels) run with copy-back data
cache and subsequent silicon errata fixes, so there may be a cache
coherency hole in the way your driver manages it's space.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/